Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.x509
Class X509DefaultEntryConverter

    java.lang.Object
      org.bouncycastle.asn1.x509.X509NameEntryConverter
          org.bouncycastle.asn1.x509.X509DefaultEntryConverter

    public class X509DefaultEntryConverter

extends X509NameEntryConverter

The default converter for X509 DN entries when going from their string value to ASN.1 strings.

Constructor Summary
`X509DefaultEntryConverter()`

Method Summary
`DERObject` `getConvertedValue(DERObjectIdentifier oid, java.lang.String value)` Apply default coversion for the given value depending on the oid and the character range of the value.

Methods inherited from class org.bouncycastle.asn1.x509.X509NameEntryConverter
`canBePrintable, convertHexEncoded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X509DefaultEntryConverter

    public X509DefaultEntryConverter()

Method Detail

### getConvertedValue

    public DERObject getConvertedValue(DERObjectIdentifier oid,
                                       java.lang.String value)

  Apply default coversion for the given value depending on the oid and the character range of the value.

  Specified by:
    `getConvertedValue` in class `X509NameEntryConverter`
  Parameters:
    `oid` - the object identifier for the DN entry
    `value` - the value associated with it
  Returns:
    the ASN.1 equivalent for the string value.

Bouncy Castle Cryptography Library 1.45